% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/example_data.R
\docType{data}
\name{Blank2022peaks}
\alias{Blank2022peaks}
\title{Blank2022peaks}
\format{
A list of MALDIquant::MassPeaks-objects named with the respective concentration.
}
\usage{
data(Blank2022peaks)
}
\description{
Peaks from MALDI mass spectrometry data of EOC cells treated with different concentrations of SAHA.
It is used to demonstrate the usage of \code{MALDIcellassay}.
}
\details{
The concentrations include: 0, 0.04, 0.12, 0.37, 1.11, 3.33, 10 and 30 uM of SAHA at 4 replicates each.
The original spectra were trimmed to 400-900 Da mass-range to keep the file size small.
The peaks are the result of applying \code{MALDIquant::detectPeaks} to \code{Blank2022spec} with arguments \verb{SNR = 3, method = "SuperSmoother"}.
}
\references{
Blank, M., Enzlein, T. & Hopf, C. LPS-induced lipid alterations in microglia revealed by MALDI mass spectrometry-based cell fingerprinting in neuroinflammation studies. Sci Rep 12, 2908 (2022). https://doi.org/10.1038/s41598-022-06894-1
}
\keyword{datasets}
